Index: bootscripts/CHANGELOG.lfs
===================================================================
--- bootscripts/CHANGELOG.lfs	(revision 56f753d8db8726d0aeda869433f7c8e367193b88)
+++ bootscripts/CHANGELOG.lfs	(revision e814bfe4c1e95fc542b80f24f426c1e1376ac3d6)
@@ -482,5 +482,5 @@
 
 	* Update to the console script, prevent install of the console script
-	* Chgrp /var/run/utmp to group utmp if it exists.
+	* Chgrp /run/utmp to group utmp if it exists.
 	* Moved udev from contrib to lfs
 	* Moved GATEWAY setup from /etc/rc.d/init.d/network to
Index: bootscripts/Changelog
===================================================================
--- bootscripts/Changelog	(revision 56f753d8db8726d0aeda869433f7c8e367193b88)
+++ bootscripts/Changelog	(revision e814bfe4c1e95fc542b80f24f426c1e1376ac3d6)
@@ -1,2 +1,5 @@
+Chris - July 10, 2014
+	* Changed "/var/run" references to "/run"
+
 William - May 21, 2014
     * Change versioning to drop Pre1 and use a date
Index: bootscripts/cblfs/init.d/autofs
===================================================================
--- bootscripts/cblfs/init.d/autofs	(revision 56f753d8db8726d0aeda869433f7c8e367193b88)
+++ bootscripts/cblfs/init.d/autofs	(revision e814bfe4c1e95fc542b80f24f426c1e1376ac3d6)
@@ -146,5 +146,5 @@
 
     stop)
-        # Kill all automounters listed in /var/run
+        # Kill all automounters listed in /run
         ls ${piddir}/${pidroot}.*.pid 2>/dev/null |
         (
Index: bootscripts/cblfs/init.d/dbus
===================================================================
--- bootscripts/cblfs/init.d/dbus	(revision 56f753d8db8726d0aeda869433f7c8e367193b88)
+++ bootscripts/cblfs/init.d/dbus	(revision e814bfe4c1e95fc542b80f24f426c1e1376ac3d6)
@@ -11,6 +11,6 @@
 . $rc_functions
 
-pidfile=/var/run/dbus/pid
-socket=/var/run/dbus/system_bus_socket
+pidfile=/run/dbus/pid
+socket=/run/dbus/system_bus_socket
 
 case "$1" in
Index: bootscripts/cblfs/init.d/gdm
===================================================================
--- bootscripts/cblfs/init.d/gdm	(revision 56f753d8db8726d0aeda869433f7c8e367193b88)
+++ bootscripts/cblfs/init.d/gdm	(revision e814bfe4c1e95fc542b80f24f426c1e1376ac3d6)
@@ -11,5 +11,5 @@
 . $rc_functions
 
-pidfile=/var/run/gdm.pid
+pidfile=/run/gdm.pid
 
 export PATH=$PATH:/opt/gnome/bin:/opt/gnome/sbin
Index: bootscripts/cblfs/init.d/gpm
===================================================================
--- bootscripts/cblfs/init.d/gpm	(revision 56f753d8db8726d0aeda869433f7c8e367193b88)
+++ bootscripts/cblfs/init.d/gpm	(revision e814bfe4c1e95fc542b80f24f426c1e1376ac3d6)
@@ -12,5 +12,5 @@
 . $rc_functions
 
-pidfile=/var/run/gpm.pid
+pidfile=/run/gpm.pid
 
 if [ -f /etc/sysconfig/mouse ]
Index: bootscripts/cblfs/init.d/haldaemon
===================================================================
--- bootscripts/cblfs/init.d/haldaemon	(revision 56f753d8db8726d0aeda869433f7c8e367193b88)
+++ bootscripts/cblfs/init.d/haldaemon	(revision e814bfe4c1e95fc542b80f24f426c1e1376ac3d6)
@@ -11,5 +11,5 @@
 . $rc_functions
 
-pidfile=/var/run/hald/pid
+pidfile=/run/hald/pid
 
 case "$1" in
Index: bootscripts/cblfs/init.d/heimdal
===================================================================
--- bootscripts/cblfs/init.d/heimdal	(revision 56f753d8db8726d0aeda869433f7c8e367193b88)
+++ bootscripts/cblfs/init.d/heimdal	(revision e814bfe4c1e95fc542b80f24f426c1e1376ac3d6)
@@ -14,5 +14,5 @@
 	start)  
 		boot_mesg -n "Starting KDC Server Daemon..."
-		if test -f "/var/run/kdc.pid"
+		if test -f "/run/kdc.pid"
 		then
 			boot_mesg "kdc already running!" ${WARNING}
@@ -21,5 +21,5 @@
 			/usr/sbin/kdc &
 			sleep 1
-			if test -f "/var/run/kdc.pid"
+			if test -f "/run/kdc.pid"
 			then
 				echo ""
@@ -31,5 +31,5 @@
 		fi
 		boot_mesg -n "Starting KDC kpasswdd Daemon..."
-		if test -f "/var/run/kpasswdd.pid"
+		if test -f "/run/kpasswdd.pid"
 		then
 			boot_mesg "kpasswdd already running!" ${WARNING}
@@ -38,5 +38,5 @@
 			/usr/sbin/kpasswdd &
 			sleep 1
-			if test -f "/var/run/kpasswdd.pid"
+			if test -f "/run/kpasswdd.pid"
 			then
 				echo ""
@@ -48,5 +48,5 @@
 		fi
 		boot_mesg -n "Starting KDC kadmind Daemon..."
-		if test -f "/var/run/kadmind.pid"
+		if test -f "/run/kadmind.pid"
 		then
 			boot_mesg "kadmind already running!" ${WARNING}
@@ -55,5 +55,5 @@
 			/usr/sbin/kadmind &
 			sleep 1
-			if test -f "/var/run/kadmind.pid"
+			if test -f "/run/kadmind.pid"
 			then
 				echo ""
Index: bootscripts/cblfs/init.d/nfs-server
===================================================================
--- bootscripts/cblfs/init.d/nfs-server	(revision 56f753d8db8726d0aeda869433f7c8e367193b88)
+++ bootscripts/cblfs/init.d/nfs-server	(revision e814bfe4c1e95fc542b80f24f426c1e1376ac3d6)
@@ -88,6 +88,6 @@
 		# Remove a pid file that isn't done automatically
 		boot_mesg "Removing the rpc.statd pid file if it exists"
-		if [ -f /var/run/rpc.statd.pid ]; then
-		    rm -f /var/run/rpc.statd.pid
+		if [ -f /run/rpc.statd.pid ]; then
+		    rm -f /run/rpc.statd.pid
 		fi
 
Index: bootscripts/cblfs/init.d/ntp
===================================================================
--- bootscripts/cblfs/init.d/ntp	(revision 56f753d8db8726d0aeda869433f7c8e367193b88)
+++ bootscripts/cblfs/init.d/ntp	(revision e814bfe4c1e95fc542b80f24f426c1e1376ac3d6)
@@ -8,5 +8,5 @@
 . $rc_functions
 
-pidfile=/var/run/ntpd.pid
+pidfile=/run/ntpd.pid
 
 case "$1" in
Index: bootscripts/cblfs/init.d/samba
===================================================================
--- bootscripts/cblfs/init.d/samba	(revision 56f753d8db8726d0aeda869433f7c8e367193b88)
+++ bootscripts/cblfs/init.d/samba	(revision e814bfe4c1e95fc542b80f24f426c1e1376ac3d6)
@@ -11,6 +11,6 @@
 . $rc_functions
 
-smbdpid=/var/run/smbd.pid
-nmbdpid=/var/run/nmbd.pid
+smbdpid=/run/smbd.pid
+nmbdpid=/run/nmbd.pid
 
 case "$1" in
Index: bootscripts/cblfs/init.d/sshd
===================================================================
--- bootscripts/cblfs/init.d/sshd	(revision 56f753d8db8726d0aeda869433f7c8e367193b88)
+++ bootscripts/cblfs/init.d/sshd	(revision e814bfe4c1e95fc542b80f24f426c1e1376ac3d6)
@@ -11,5 +11,5 @@
 . $rc_functions
 
-pidfile=/var/run/sshd.pid
+pidfile=/run/sshd.pid
 
 case "$1" in
Index: bootscripts/cblfs/init.d/winbind
===================================================================
--- bootscripts/cblfs/init.d/winbind	(revision 56f753d8db8726d0aeda869433f7c8e367193b88)
+++ bootscripts/cblfs/init.d/winbind	(revision e814bfe4c1e95fc542b80f24f426c1e1376ac3d6)
@@ -11,5 +11,5 @@
 . $rc_functions
 
-PIDFILE="/var/run/winbindd.pid"
+PIDFILE="/run/winbindd.pid"
 KILLDELAY="10"
 
Index: bootscripts/cblfs/sysconfig/autofs.conf
===================================================================
--- bootscripts/cblfs/sysconfig/autofs.conf	(revision 56f753d8db8726d0aeda869433f7c8e367193b88)
+++ bootscripts/cblfs/sysconfig/autofs.conf	(revision e814bfe4c1e95fc542b80f24f426c1e1376ac3d6)
@@ -17,5 +17,5 @@
 localoptions=''
 daemonoptions='--timeout 60'
-piddir=/var/run
+piddir=/run
 pidroot=autofs
 
Index: bootscripts/cblfs/sysconfig/network-devices/services/dhcpcd
===================================================================
--- bootscripts/cblfs/sysconfig/network-devices/services/dhcpcd	(revision 56f753d8db8726d0aeda869433f7c8e367193b88)
+++ bootscripts/cblfs/sysconfig/network-devices/services/dhcpcd	(revision e814bfe4c1e95fc542b80f24f426c1e1376ac3d6)
@@ -10,5 +10,5 @@
 . $IFCONFIG
 
-pidfile="/var/run/dhcpcd-$1.pid"
+pidfile="/run/dhcpcd-$1.pid"
 
 case "$2" in
Index: bootscripts/clfs/init.d/cleanfs
===================================================================
--- bootscripts/clfs/init.d/cleanfs	(revision 56f753d8db8726d0aeda869433f7c8e367193b88)
+++ bootscripts/clfs/init.d/cleanfs	(revision e814bfe4c1e95fc542b80f24f426c1e1376ac3d6)
@@ -79,8 +79,8 @@
 			-delete || failed=1
 
-		> /var/run/utmp
+		> /run/utmp
 		if grep -q '^utmp:' /etc/group ; then
-			chmod 664 /var/run/utmp
-			chgrp utmp /var/run/utmp
+			chmod 664 /run/utmp
+			chgrp utmp /run/utmp
 		fi
 
Index: bootscripts/clfs/init.d/functions
===================================================================
--- bootscripts/clfs/init.d/functions	(revision 56f753d8db8726d0aeda869433f7c8e367193b88)
+++ bootscripts/clfs/init.d/functions	(revision e814bfe4c1e95fc542b80f24f426c1e1376ac3d6)
@@ -418,7 +418,7 @@
 			"ID(s) ${pidlist}.${NORMAL}"
 	else
-		if [ -n "${base}" -a -e "/var/run/${base}.pid" ]; then
+		if [ -n "${base}" -a -e "/run/${base}.pid" ]; then
 			${ECHO} -e "${WARNING}${1} is not running but"\
-				"/var/run/${base}.pid exists.${NORMAL}"
+				"/run/${base}.pid exists.${NORMAL}"
 		else
 			if [ -n "${pidfile}" -a -e "${pidfile}" ]; then
Index: bootscripts/clfs/init.d/functions.minimal
===================================================================
--- bootscripts/clfs/init.d/functions.minimal	(revision 56f753d8db8726d0aeda869433f7c8e367193b88)
+++ bootscripts/clfs/init.d/functions.minimal	(revision e814bfe4c1e95fc542b80f24f426c1e1376ac3d6)
@@ -418,7 +418,7 @@
 			"ID(s) ${pidlist}.${NORMAL}"
 	else
-		if [ -n "${base}" -a -e "/var/run/${base}.pid" ]; then
+		if [ -n "${base}" -a -e "/run/${base}.pid" ]; then
 			${ECHO} -e "${WARNING}${1} is not running but"\
-				"/var/run/${base}.pid exists.${NORMAL}"
+				"/run/${base}.pid exists.${NORMAL}"
 		else
 			if [ -n "${pidfile}" -a -e "${pidfile}" ]; then
